<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>CSS Introduction</title>
	<!-- 
		internal css 
		
		We can apply style to multiple elements with the same tag or multiple elements as we selected.

		This style from internal css can only affect the elements where the internal css is added.



	-->
	<link rel="stylesheet" type="text/css" href="./style.css
	">
<!-- we can implement an external css to multiple pages. -->
	<style type="text/css">
		h1{
			color: pink;
/*			background-color: gray;*/
		}
	</style>

	<!-- external css is the best way/practice of implementing styling. -->


</head>
<body>
	<!-- 
		The style attribute changes the styling properties of an element. This implentation of style is what we call inline styling.

		The value of style attribute are the properties of the element.
		The value before the colon (:) are the element's properties.
		The values after the colon are the values we would like to assign to our property.

		<tag style="property:value;">text</tag>

		Multiple properties can be changed or assigned in our inline-style.
		
		inline-style can become bulky, can become erratic.

		inline-styling is specific to the tah it is attached to.
	
		inline-style is given more priority over internal style. Wherein the properties set with inline overrides the properties set via internal style.
		
		Specificity:
		inline > internal > external

		How, external css is the best practice among the implementation of style.
		
		Inline Style Sample:
		<hi style="color: red;font-size:100px;">Hello World!</h1>
			style="color: red !important;font-size: 100px;">
	 -->
	 <!-- nav bar -->
	 <nav id="top">
	 	<a href="#landing">Zuitt</a>
	 	<div>
	 		<a href="#landing">Landing</a>
	 		<a href="#register">Register</a>
	 	</div>
	 </nav>
	 <!-- end of navbar -->
	 <!-- main content -->
	<h1>Hello World!</h1>


	<section id="landing">
		<h2>Welcome to Zuitt!</h2>
		<h3  id="zuitt-motto" class="offering-item">Opportunities for Everyone,Everywhere! </h3>
		<img src="https://place-puppy.com/450x450">
		<ol id="bootcamp-learning-list">
			<!-- class can be used to add stylings to elements with the sanme class. unlike id, it can implemented to multiple elements. -->
			<li class="offering-item">Day Classes</li>
			<li class="offering-item">Night Classes</li>
			<li class="offering-item">Intro to Coding Events</li>

		</ol>
		<!-- when assigning a element's id as href for anchor we can navigate to that park of the page -->
		<a href="#top">Back to Top</a>

	</section>
	<section id="register">
			<h2>Register
			</h2>

			<form>
				<label for="first-name">First Name</label>
				<input type="text" name="first-sname" id="first-name" required autocomplete>
						<label for="last-name">Last Name</label>
				<input type="text" name="last-name" id="last-name" required autocomplete>
				<label for="email">Email</label>
				<input type="email" name="email" id="email" required autocomplete>

		<!-- 		<label for="password">Password</label>
				<input type="password" name="password" id="password" autocomplete> -->
				<button type="sumbit">Apply Now!</button>
			</form>
				<a href="#top">Back to Top</a>

	</section>



</body>
</html>